Loading...
Searching...
No Matches
CanonicalizeStereoGroups.h File Reference
`#include <RDGeneral/export.h>`
`#include <string>`
`#include <vector>`
`#include <memory>`
`#include <cstdint>`
`#include <limits>`

Go to the source code of this file.

## Classes

class | RDKit::RigorousEnhancedStereoException

## Namespaces

namespace | RDKit
| Std stuff.

## Enumerations

enum class | RDKit::StereoGroupAbsOptions { RDKit::OnlyIncludeWhenOtherGroupsExist , RDKit::NeverInclude , RDKit::AlwaysInclude }

## Functions

RDKIT_SMILESPARSE_EXPORT void | RDKit::canonicalizeStereoGroups (std::unique_ptr< ROMol > &mol, StereoGroupAbsOptions outputAbsoluteGroups=StereoGroupAbsOptions::OnlyIncludeWhenOtherGroupsExist, unsigned int maxStereoGroups=12)